Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(114)

Issue 196133011: Refine autozoom scaling constants and logic (Closed)

Created:
5 years, 11 months ago by jdduke (slow)
Modified:
5 years, 3 months ago
CC:
blink-reviews
Base URL:
https://chromium.googlesource.com/chromium/blink.git@master
Visibility:
Public.

Description

Refine autozoom scaling constants and logic Reduce the legible caret height and increase the scaling tolerance, making tap-triggering autozooms less intrusive. Also add some logic to prevent auto-zooming if a user is sufficiently zoomed in within the corresponding double-tap block region (e.g., if a user double-taps a textbox, then taps the same textbox, we should try hard not to zoom in yet again). BUG=345926 Committed: https://src.chromium.org/viewvc/blink?view=rev&revision=186037

Patch Set 1 #

Patch Set 2 : Cleanup #

Total comments: 1

Patch Set 3 : Remove double-tap nonsense and tweak constants #

Patch Set 4 : Tests #

Patch Set 5 : Rebase #

Patch Set 6 : Tweak text values #

Patch Set 7 : Updates #

Patch Set 8 : More updates... #

Patch Set 9 : Rebase #

Patch Set 10 : Rebase and update #

Patch Set 11 : Rebase test #

Patch Set 12 : Try fix tests #

Patch Set 13 : Try fix font #

Patch Set 14 : Test #

Patch Set 15 : Fix tests... #

Patch Set 16 : Rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+60 lines, -40 lines) Patch
M Source/web/WebViewImpl.cpp View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 4 chunks +34 lines, -21 lines 0 comments Download
M Source/web/tests/WebFrameTest.cpp View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 5 chunks +26 lines, -19 lines 0 comments Download

Messages

Total messages: 19 (2 generated)
jdduke (slow)
aelias@: PTAL. I'm not 100% sold on the block scale logic added here, so I'd ...
5 years, 11 months ago (2014-03-13 19:21:36 UTC) #1
jdduke (slow)
On 2014/03/13 19:21:36, jdduke wrote: > aelias@: PTAL. I'm not 100% sold on the block ...
5 years, 11 months ago (2014-03-13 19:23:07 UTC) #2
aelias_OOO_until_Jul13
Yeah, I dunno about that block scale logic either :). Could you explain the principle ...
5 years, 11 months ago (2014-03-14 07:16:10 UTC) #3
jdduke (slow)
On 2014/03/14 07:16:10, aelias wrote: > Yeah, I dunno about that block scale logic either ...
5 years, 11 months ago (2014-03-14 14:30:39 UTC) #4
jdduke (slow)
I've simplified the logic a bit, though I still make a small distinction between textboxes ...
5 years, 11 months ago (2014-03-19 16:54:33 UTC) #5
aelias_OOO_until_Jul13
lgtm. There's likely some way to fish out line count from WebCore but I don't ...
5 years, 11 months ago (2014-03-19 22:54:19 UTC) #6
jdduke (slow)
On 2014/03/19 22:54:19, aelias wrote: > lgtm. There's likely some way to fish out line ...
5 years, 11 months ago (2014-03-21 10:31:17 UTC) #7
aelias_OOO_until_Jul13
That makes sense. We should just be careful that that doesn't do anything strange with ...
5 years, 11 months ago (2014-03-21 19:25:38 UTC) #8
jdduke (slow)
The CQ bit was checked by jdduke@chromium.org
5 years, 11 months ago (2014-03-21 20:07:01 UTC) #9
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/jdduke@chromium.org/196133011/60001
5 years, 11 months ago (2014-03-21 20:07:07 UTC) #10
commit-bot: I haz the power
The CQ bit was unchecked by commit-bot@chromium.org
5 years, 11 months ago (2014-03-21 20:35:21 UTC) #11
commit-bot: I haz the power
Try jobs failed on following builders: tryserver.blink on mac_blink_rel
5 years, 11 months ago (2014-03-21 20:35:22 UTC) #12
jdduke (slow)
On 2014/03/21 20:35:22, I haz the power (commit-bot) wrote: > Try jobs failed on following ...
5 years, 11 months ago (2014-03-27 20:34:28 UTC) #13
jdduke (slow)
On 2014/03/27 20:34:28, jdduke wrote: > On 2014/03/21 20:35:22, I haz the power (commit-bot) wrote: ...
5 years, 11 months ago (2014-03-27 20:41:56 UTC) #14
aelias_OOO_until_Jul13
Your text size theory is plausible. Other platform differences I've seen in the past are ...
5 years, 11 months ago (2014-03-27 20:54:26 UTC) #15
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/196133011/320001
5 years, 3 months ago (2014-11-26 16:16:55 UTC) #18
commit-bot: I haz the power
5 years, 3 months ago (2014-11-26 16:39:26 UTC) #19
Message was sent while issue was closed.
Committed patchset #16 (id:320001) as
https://src.chromium.org/viewvc/blink?view=rev&revision=186037

Powered by Google App Engine
This is Rietveld 408576698